Skip to content
iTick
  1. Docs
  2. REST API
  3. Stocks
  4. Batch Real-Time Depth

Batch Real-Time Depth

Batch obtain real-time order book depth data for multiple stocks. Provide complete buy-sell order book lists, including multi-level prices and order volumes, with millisecond-level real-time updates. Provide professional batch data solutions for your algorithmic trading, market maker systems, and block trading decisions.

GET/stock/depths

Request Parameters

regionenumRequired

Market code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.

exchangestring

Exchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

aarray(object)▶Ask orders
pointeger

Level

pnumber

Price

vnumber

Order volume

onumber

Order count

barray(object)▶Bid orders
pointeger

Level

pnumber

Price

vnumber

Order volume

onumber

Order count

Code Examples

import requests

url = "https://api.itick.org/stock/depths?region=HK&codes=700,9988"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/stock/depths?region=HK&codes=700,9988

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "700": {
      "s": "700",
      "a": [
        {
          "po": 1,
          "p": 568.5,
          "v": 134900,
          "o": 3
        },
        {
          "po": 2,
          "p": 569,
          "v": 201900,
          "o": 36
        },
        {
          "po": 3,
          "p": 569.5,
          "v": 178900,
          "o": 119
        },
        {
          "po": 4,
          "p": 570,
          "v": 1087000,
          "o": 2405
        },
        {
          "po": 5,
          "p": 570.5,
          "v": 254300,
          "o": 181
        },
        {
          "po": 6,
          "p": 571,
          "v": 260800,
          "o": 388
        },
        {
          "po": 7,
          "p": 571.5,
          "v": 93400,
          "o": 117
        },
        {
          "po": 8,
          "p": 572,
          "v": 264900,
          "o": 589
        },
        {
          "po": 9,
          "p": 572.5,
          "v": 90800,
          "o": 85
        },
        {
          "po": 10,
          "p": 573,
          "v": 206800,
          "o": 284
        }
      ],
      "b": [
        {
          "po": 1,
          "p": 568,
          "v": 75000,
          "o": 49
        },
        {
          "po": 2,
          "p": 567.5,
          "v": 160800,
          "o": 27
        },
        {
          "po": 3,
          "p": 567,
          "v": 140800,
          "o": 47
        },
        {
          "po": 4,
          "p": 566.5,
          "v": 130900,
          "o": 30
        },
        {
          "po": 5,
          "p": 566,
          "v": 183000,
          "o": 50
        },
        {
          "po": 6,
          "p": 565.5,
          "v": 62300,
          "o": 34
        },
        {
          "po": 7,
          "p": 565,
          "v": 98600,
          "o": 104
        },
        {
          "po": 8,
          "p": 564.5,
          "v": 72900,
          "o": 31
        },
        {
          "po": 9,
          "p": 564,
          "v": 38800,
          "o": 52
        },
        {
          "po": 10,
          "p": 563.5,
          "v": 31800,
          "o": 23
        }
      ]
    },
    "9988": {
      "s": "9988",
      "a": [
        {
          "po": 1,
          "p": 116.8,
          "v": 254700,
          "o": 14
        },
        {
          "po": 2,
          "p": 116.9,
          "v": 52100,
          "o": 13
        },
        {
          "po": 3,
          "p": 117,
          "v": 785600,
          "o": 57
        },
        {
          "po": 4,
          "p": 117.1,
          "v": 482000,
          "o": 23
        },
        {
          "po": 5,
          "p": 117.2,
          "v": 180300,
          "o": 20
        },
        {
          "po": 6,
          "p": 117.3,
          "v": 155100,
          "o": 16
        },
        {
          "po": 7,
          "p": 117.4,
          "v": 279800,
          "o": 22
        },
        {
          "po": 8,
          "p": 117.5,
          "v": 416000,
          "o": 76
        },
        {
          "po": 9,
          "p": 117.6,
          "v": 285500,
          "o": 43
        },
        {
          "po": 10,
          "p": 117.7,
          "v": 168900,
          "o": 36
        }
      ],
      "b": [
        {
          "po": 1,
          "p": 116.7,
          "v": 98500,
          "o": 48
        },
        {
          "po": 2,
          "p": 116.6,
          "v": 631300,
          "o": 110
        },
        {
          "po": 3,
          "p": 116.5,
          "v": 1091600,
          "o": 206
        },
        {
          "po": 4,
          "p": 116.4,
          "v": 681000,
          "o": 53
        },
        {
          "po": 5,
          "p": 116.3,
          "v": 755400,
          "o": 60
        },
        {
          "po": 6,
          "p": 116.2,
          "v": 354600,
          "o": 58
        },
        {
          "po": 7,
          "p": 116.1,
          "v": 322600,
          "o": 63
        },
        {
          "po": 8,
          "p": 116,
          "v": 2012300,
          "o": 290
        },
        {
          "po": 9,
          "p": 115.9,
          "v": 361800,
          "o": 33
        },
        {
          "po": 10,
          "p": 115.8,
          "v": 343100,
          "o": 52
        }
      ]
    }
  }
}